com.sap.security.um.user

## Enum UserProvider.CaseSensitive

- java.lang.Object
- - java.lang.Enum<UserProvider.CaseSensitive>
  - - com.sap.security.um.user.UserProvider.CaseSensitive

- All Implemented Interfaces:
    Serializable, Comparable<UserProvider.CaseSensitive>
  Enclosing interface:
    UserProvider

      public static enum UserProvider.CaseSensitive
      extends Enum<UserProvider.CaseSensitive>

  Two possible ways to search for user attribute values if supported by the the user provider implementation for the concrete user attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO` Search argument used to express that the operation should search also for attribute values which do not match the case of the provided criteria (if this is supported by the user provider implementation for the concrete user attribute).
    `YES` Search argument used to express that the operation should only search for attribute values which match the case of the provided criteria (if this is supported by the user provider implementation for the concrete user attribute).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserProvider.CaseSensitive` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserProvider.CaseSensitive[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO

          public static final UserProvider.CaseSensitive NO

      Search argument used to express that the operation should search also for attribute values which do not match the case of the provided criteria (if this is supported by the user provider implementation for the concrete user attribute).

    - #### YES

          public static final UserProvider.CaseSensitive YES

      Search argument used to express that the operation should only search for attribute values which match the case of the provided criteria (if this is supported by the user provider implementation for the concrete user attribute).

  - ### Method Detail

    - #### values

          public static UserProvider.CaseSensitive[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserProvider.CaseSensitive c : UserProvider.CaseSensitive.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserProvider.CaseSensitive valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 SAP. All Rights Reserved.